Priority: Normal   

Category:    
Department: CARMEQ Affected Products: ADTF 3.3.0

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit

Support Level: 3rd Level Topic: ADTF::PluginDescription

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Bei dem Versuch via Kommandozeile eine Plugin_Description zu erzeugen, ist mir aufgefallen, dass das Tool seine eigenen

Parameter als unbekannt meldet (Fehlermeldung unrecognized token).

Ich denke, das ist ein Bug und keine Supportanfrage, ich kann aber keine Bugs einstellen.

Lösung

ACORE-9452 erstellt.

Für die Verwendung des PluginDescriptionGenerators sind i.d.R. nur die Parameter -plugin, -output und optional -merge notwendig.

History

#1 - 2018-04-17 14:50 - hidden

Ich habe inzwischen herausgefunden, dass das Zeichen '=' noch hinter -plugin geschrieben werden muss. Das ging aber aus der Hilfeausgabe und

der Fehlermeldung nicht hervor.

#2 - 2018-04-17 16:52 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::PluginDescription

#4 - 2018-04-20 10:04 - hidden

Hallo Thorsten,

Vielen Danke für deinen Hinweis!

Das beschriebene Verhalten ist in der Tat fehlerhaft.

Wir werden das mit dem nächsten (Patch-)Release korrigieren.

Für die Verwendung des PluginDescriptionGenerators sind i.d.R. nur die Parameter -plugin, -output und optional -merge notwendig.

Ich hoffe, das deckt deinen Anwendungsfall ab - falls nicht helfe ich dir gern weiter.

Viele Grüße

Wolfgang

#7 - 2018-04-20 16:13 - hidden

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9452

#8 - 2018-04-20 16:15 - hidden

- Status changed from In Progress to To Be Closed

#9 - 2018-04-20 16:50 - hidden
- Subject changed from adtf_plugin_description_generator kennt eigene Kommandozeilenparameter nicht to Plugin Description Generator throws

errors for own command line arguments

- Support Level changed from 2nd Level to 3rd Level

#10 - 2018-05-22 08:20 - hidden

- Project changed from 20 to Public Support

- Description updated

- Private changed from Yes to No

#11 - 2018-05-23 14:08 - hidden

- Status changed from To Be Closed to Closed
